Update the fields of a day off. Send only the fields to change. You cannot change id, created_at, updated_at. Dates use the ISO 8601 format. Only an administrator or the person of the day off can update it. Only an administrator can give the day off to another person. The day off must not overlap another day off of the person. The time spent of the person on the days of the day off is deleted.
PUT
/data/day-offs/{instance_id}
curl
curl -X PUT "http://api.example.com/data/day-offs/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"date": "2024-01-16",
"end_date": "2024-01-21"
}'
import requests
url = "http://api.example.com/data/day-offs/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"date": "2024-01-16",
"end_date": "2024-01-21"
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"date": "2024-01-16",
"end_date": "2024-01-21"
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"date": "2024-01-16",
"end_date": "2024-01-21",
"person_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}